Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGMessage.SAGEnvelope

Enclosing interface:
  SAGMessage

    public static interface SAGMessage.SAGEnvelope

It is for SAG envelope.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:22 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGMessage.SAGEnvelope.SAGNamedItemList` It is for Named Item List

Method Summary
`java.lang.String` | `getApplicationId()` Gets the Application Id.
`java.lang.String` | `getApplicationStatus()` Gets the Application Status.
`java.lang.String` | `getContextId()` Gets the Context Id.
`java.lang.String` | `getLocalAuth()` Gets the Local Authentication code.
`java.lang.String` | `getMsgFormat()` Gets the MsgFormat.
`java.lang.String` | `getMsgRef()` Gets the message reference.
`SAGMessage.SAGEnvelope.SAGNamedItemList` | `getNamedItemList()` Gets the named item list.
`java.lang.String` | `getNormalised()` Returns the normalised version of the SAG envelope.
`java.lang.String` | `getReceiver()` Gets the Receiver of this message.
`java.lang.String` | `getSender()` Gets the Sender of this message.
`boolean` | `isApplicationStatusFailure()` Returns true if SwOperationFailed..
`boolean` | `isApplicationStatusSuccess()` Returns true if SwOperationSucceed.
`void` | `setApplicationId(java.lang.String value)` Sets the Application Id.
`void` | `setApplicationStatus(java.lang.String value)` Sets the Application Status.
`void` | `setContextId(java.lang.String value)` Sets the Context Id.
`void` | `setLocalAuth(java.lang.String value)` Sets the Local Authentication code.
`void` | `setMsgFormat(java.lang.String value)` Sets the MsgFormat.
`void` | `setReceiver(java.lang.String value)` Sets the Receiver of this message.
`void` | `setSender(java.lang.String value)` Sets the Sender of this message.
`void` | `setSenderAuth(java.lang.String value)` Sets the Password of the sender.

Method Detail

### setApplicationId

    void setApplicationId(java.lang.String value)

  Sets the Application Id. The Application ID denotes the SAG Message Partner. The Message Partner basically identifies an application that sends and receives messages on behalf of a correspondent.

  Parameters:
    `value` - The Application ID.

### setContextId

    void setContextId(java.lang.String value)

  Sets the Context Id. The Context Id is used for correlating different messages. Messages with the same Context Id are conceptually related. For RelaxedSNL message format, the Context Id can be one of following values:
  - Advanced
  - Namespace
  - Advanced Namespace
  If this field is set to the empty string, it means "Automatic".

  Parameters:
    `value` - The Context ID.

### setMsgFormat

    void setMsgFormat(java.lang.String value)

  Sets the MsgFormat. The MsgFormat denotes the format of the message. Current values for this field include:
  - Sag:BasicInterAct
  - Sag:SNL
  - Sag:RelaxedSNL
  - Sag:CopySNL
  - Sag:Primitive
  If this field is set to the empty string, the default MsgFormat defined in the configuration of the Message Partner is applied to this message.

  Parameters:
    `value` - The MsgFormat.

### setSender

    void setSender(java.lang.String value)

  Sets the Sender of this message. The Sender field is equivalent to a correspondent as defined in the Correspondent configuration of SAG.

  Parameters:
    `value` - The name of the Sender of this message.

### setSenderAuth

    void setSenderAuth(java.lang.String value)

  Sets the Password of the sender.

  Parameters:
    `value` - The sender's password.

### setReceiver

    void setReceiver(java.lang.String value)

  Sets the Receiver of this message. The Receiver field is equivalent to a correspondent as defined in the Receiver configuration of SAG

  Parameters:
    `value` - The name of the Receiver of this message.

### setLocalAuth

    void setLocalAuth(java.lang.String value)

  Sets the Local Authentication code. This is a placeholder of the signature managed by the Local Authentication Handler plug-in.

  Parameters:
    `value` - The Local Authenication code.

### setApplicationStatus

    void setApplicationStatus(java.lang.String value)

  Sets the Application Status. The Application Status has a value that depends on the message format. It is only relevant for the responses.

  Parameters:
    `value` - The Application Status.

### getApplicationId

    java.lang.String getApplicationId()

  Gets the Application Id. The Application ID denotes the SAG Message Partner. The Message Partner basically identifies an application that sends and receives messages on behalf of a correspondent.

  Parameters:
    None.

  Returns:
    `String` - Returns the Application ID.
  Throws:
    None.

### getContextId

    java.lang.String getContextId()

  Gets the Context Id. The Context Id is used for correlating different messages. Messages with the same Context Id are conceptually related. For RelaxedSNL message format, the Context Id can be one of following values:
  - Advanced
  - Namespace
  - Advanced Namespace
  If this field is set to the empty string, it means "Automatic".

  Parameters:
    None.

  Returns:
    `String` - Returns the Context Id.
  Throws:
    None.

### getMsgFormat

    java.lang.String getMsgFormat()

  Gets the MsgFormat. The MsgFormat denotes the format of the message. Current values for this field include:
  - Sag:BasicInterAct
  - Sag:SNL
  - Sag:RelaxedSNL
  - Sag:CopySNL
  - Sag:Primitive
  If this field is set to the empty string, the default MsgFormat defined in the configuration of the Message Partner is applied to this message.

  Parameters:
    None.

  Returns:
    `String` - Returns the MsgFormat.
  Throws:
    None.

### getSender

    java.lang.String getSender()

  Gets the Sender of this message. The Sender field is equivalent to a correspondent as defined in the Correspondent configuration of SAG.

  Parameters:
    None.

  Returns:
    `String` - Returns the name of the Sender of this message.
  Throws:
    None.

### getReceiver

    java.lang.String getReceiver()

  Gets the Receiver of this message. The Receiver field is equivalent to a correspondent as defined in the Receiver configuration of SAG

  Parameters:
    None.

  Returns:
    `String` - Returns the name of the Receiver of this message.
  Throws:
    None.

### getMsgRef

    java.lang.String getMsgRef()

  Gets the message reference. This field is filled by SAG and read by the application. It is used to recognize all the events generated by this message.

  Parameters:
    None.

  Returns:
    `String` - Returns the reference to other messages.
  Throws:
    None.

### getLocalAuth

    java.lang.String getLocalAuth()

  Gets the Local Authentication code. This is a placeholder of the signature managed by the Local Authentication Handler plug-in.

  Parameters:
    None.

  Returns:
    `String` - Returns the Local Authenication code.
  Throws:
    None.

### getApplicationStatus

    java.lang.String getApplicationStatus()

  Gets the Application Status. The Application Status has a value that depends on the message format. It is only relevant for the responses.

  Parameters:
    None.

  Returns:
    `String` - Returns the value the Application Status.
  Throws:
    None.

### isApplicationStatusSuccess

    boolean isApplicationStatusSuccess()

  Returns true if SwOperationSucceed. The Application Status has a value that depends on the message format. It is only relevant for the responses.

  Parameters:
    None.

  Returns:
    `boolean` - Returns the Boolean value of the Application Status.
  Throws:
    None.

### isApplicationStatusFailure

    boolean isApplicationStatusFailure()

  Returns true if SwOperationFailed.. The Application Status has a value that depends on the message format. It is only relevant for the responses.

  Parameters:
    None.

  Returns:
    `boolean` - Returns the Boolean value of the Application Status.
  Throws:
    None.

### getNamedItemList

    SAGMessage.SAGEnvelope.SAGNamedItemList getNamedItemList()

  Gets the named item list.

  Parameters:
    None.

  Returns:
    `SAGNamedItemList` - Returns the named item list.
  Throws:
    None.

### getNormalised

    java.lang.String getNormalised()

  Returns the normalised version of the SAG envelope.

  Parameters:
    None.

  Returns:
    `String` - Returns the normalised version of the SAG envelope.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.